# Conversational Bot

Conversational bot API allows you to view, add, and edit questions in the group.

Source instruction guide, [click here](https://help.acquire.io/chatbots/build-conversational-bot).&#x20;

### Attributes&#x20;

| ATTRIBUTE   | TYPE     | DESCRIPTION                           |
| ----------- | -------- | ------------------------------------- |
| id          | Integer  | Specify the ID of the group.          |
| title       | String   | Specify the name of the group.        |
| description | String   | Specify the details of the group.     |
| isDefault   | Enum     | Specify the default or primary group. |
| askFeedback | Enum     | Specify the feedback of the bot.      |
| createdBy   | Integer  | Specify the owner or created user.    |
| updatedBy   | Integer  | Specify the updated by user id.       |
| dateCreated | datetime | Specify the group creation timestamp. |
| dateUpdated | datetime | Specify the group updated timestamp.  |

### **Permissions**

To request this endpoint you will need a valid API Key with the chatbot access permissions enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/chatbot/conversational-bot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
